### Method

# Gtk MediaStreamis_seekable

#### Declaration [src]

    gboolean
    gtk_media_stream_is_seekable (
      GtkMediaStream* self
    )

#### Description [src]

Checks if a stream may be seekable.

This is meant to be a hint. Streams may not allow seeking even if this function returns `TRUE`. However, if this function returns `FALSE`, streams are guaranteed to not be seekable and user interfaces may hide controls that allow seeking.

It is allowed to call `gtk_media_stream_seek()` on a non-seekable stream, though it will not do anything.

Gets property | `Gtk.MediaStream:seekable`

#### Return value

Type: `gboolean`

`TRUE` if the stream may support seeking.